Skip to main content
GET
/
actions
/
{action_id}
Get an action
curl --request GET \
  --url https://api.open.cx/actions/{action_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.open.cx/actions/{action_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.open.cx/actions/{action_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "api_endpoint": "<string>",
  "request_type": "<string>",
  "operation_id": "<string>",
  "payload": {
    "base_url": "<string>",
    "path": "<string>",
    "method": "<string>",
    "operationId": "<string>",
    "summary": "<string>",
    "description": "<string>",
    "parameters": [
      {
        "name": "<string>",
        "description": "<string>",
        "required": true,
        "schema": {}
      }
    ],
    "requestBody": {
      "content": {},
      "description": "<string>",
      "required": true
    },
    "responses": {}
  },
  "status": "<string>",
  "pinned": true,
  "tags": [
    "<string>"
  ],
  "enabled_on_channel": {
    "channels": []
  },
  "is_handoff_like": true,
  "require_form_submission": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

action_id
string
required

Response

Default Response

id
string
required

Unique action ID

name
string
required

Action display name

description
string | null
required

What this action does

api_endpoint
string | null
required

The API endpoint URL this action calls

request_type
string | null
required

HTTP method (GET, POST, PUT, PATCH, DELETE)

operation_id
string | null
required

Unique operation ID used to reference this action

payload
object | null
required

OpenAPI-style operation spec defining parameters, request body, and responses

status
string | null
required

Action status (e.g. "live")

pinned
boolean
required

Whether this action is pinned prominently

tags
string[]
required

Tags for organizing actions

enabled_on_channel
object
required

Channel restrictions

is_handoff_like
boolean
required

Whether this action behaves like a handoff to a human agent

require_form_submission
boolean | null
required

Whether a form must be submitted before the action executes

created_at
string<date-time>
required

When the action was created

updated_at
string<date-time>
required

When the action was last updated